# bgi

Generates background-image properties for the image files in current directory.

## Supported formats

* GIF
* JPEG
* PNG

## Programmatic Usage

```
cd pathToBgiDir
npm install -g
```
## Command-Line Usage (CLI)

```
bgi --pathVar imagepath --type sass --retina

```
## Options
### pathVar
Type: `String`
Default: `null`

A string of the variable name which will be replaced with the path to the current directory.
System file path will be used if not specified.

### type
Type: `String`
Default: `less`

Determines the output format of the final CSS style. The Value can be either 'less' or 'sass' at this time.

### retina
Type: `Boolean`
Default: `false`

Determines if images are for retina or not. If set to true, width and height values will be devided by 2.

## Example
### LESS
```
bgi --pathVar imagepath --type less

```
```
@icon_Addlink-width:38px;
@icon_Addlink-height:37px;
@icon_Addlink-image:url("@{imagepath}icon_Addlink.png");
.icon_Addlink(){
  background-image:url("@{imagepath}icon_Addlink.png");
  background-size:38px 37px;
}
.icon_Addlink--block(){
  background-image:url("@{imagepath}icon_Addlink.png");
  background-size:38px 37px;
  width:38px;
  height:37px;
}
```
### SASS
```
bgi --pathVar imagepath --type sass

```
```
$icon_Addimg-width:38px;
$icon_Addimg-height:38px;
$icon_Addimg-image:url("#{$imagepath}icon_Addimg.png");
@mixin icon_Addimg(){
  background-image:url("#{$imagepath}icon_Addimg.png");
  background-size:38px 38px;
}
@mixin icon_Addimg--block(){
  background-image:url("#{$imagepath}icon_Addimg.png");
  background-size:38px 38px;
  width:38px;
  height:38px;
}
```
##Usage
###LESS
```
@imagepath:"../img/mypage/";
@import "@{imagepath}images.less";
div.icon--addlink{
	.icon_Addlink--block();
}
span.icon--addlink{
	.icon_Addlink();
}
```
###SASS
```
$imagepath:"../img/mypage/"
@import "#{$imagepath}images.less";
div.icon--addlink{
	@include icon_Addlink--block();
}
span.icon--addlink{
	@include icon_Addlink();
}
```